/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package bean;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author francois
 */
public class Utilisateur {
    public String prenom;
    public String nom;
    public String pseudo;
    public String motDePasse;
    public String fonction;
    public int id;

    public List<Ventilation> ventils;

    public String getPseudo() {
        return this.pseudo;
    }

    public String getNom() {
        return this.nom;
    }

    public String getPrenom() {
        return this.prenom;
    }

    public String getMotDePasse() {
        return this.motDePasse;
    }

    public String getFonction() {
        return this.fonction;
    }

    public void setPseudo(String pseudo) {
        this.pseudo = pseudo;
    }

    public void setPrenom(String prenom) {
        this.prenom = prenom;
    }
    
    public void setNom(String nom) {
        this.nom = nom;
    }

    public void setMotDePasse(String motDePasse) {
        this.motDePasse = motDePasse;
    }

    public void setFonction(String fonction) {
        this.fonction = fonction;
    }

    public Utilisateur(String nom, String prenom, String pseudo, String motDePasse, String fonction, int id) {
        this.ventils = new ArrayList<>();
        this.nom = nom;
        this.prenom = prenom;
        this.pseudo = pseudo;
        this.motDePasse = motDePasse;
        this.fonction = fonction;
        this.id = id;
    }

    public boolean equals(String one, String two) {
        return one.equals(two);
    }

    public List<Ventilation> getVentils() {
        return ventils;
    }

    public void addVentils(Ventilation ventil) {
        if (this.ventils == null) {
            this.ventils = new ArrayList<>();
        }
        this.ventils.add(ventil);
    }

    public int getId() {
        return this.id;
    }
}
